/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VCompra;
import com.cosmodas.EntCosmos.VInventa;
import com.cosmodas.EntCosmos.VRemisi;
import com.cosmodas.EntCosmos.VlistAjuste;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VInventaFacadeLocal {

    void create(VInventa vInventa);

    void edit(VInventa vInventa);

    void remove(VInventa vInventa);

    VInventa find(Object id);

    List<VInventa> findAll();

    List<VInventa> findRange(int[] range);

    int count();

    List<VInventa> pvInventario(String programaCodigo, String sucursalCodigo, boolean premios);

    List<VInventa> pvInventariod(String sucursalCodigo, boolean discontinuado) ;


    List<VInventa> pvInventario(String sucursalCodigo, boolean premio) ;

    List<VCompra> busquedaCompra(String productoCodigo, String programaCodigo);

    List<VRemisi> busquedaRemision(String productoCodigo, String programaCodigo, String sucursalCodigo, String tipoRemision);

    List<VlistAjuste> busquedaAjuste(String programaCodigo, String sucursalCodigo, String tipo, String productoCodigo);


}
